"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_1 = require("../../plugin");
const theme_docusaurus_1 = require("../theme.docusaurus");
const theme_gitbook_1 = require("../theme.gitbook");
const relative_url_1 = require("./relative-url");
function breadcrumbs() {
    if (!isVisible()) {
        return '';
    }
    const md = [`[Globals](${relative_url_1.relativeUrl(this.project.url)}) /`];
    return breadcrumb(this.model, md);
}
exports.breadcrumbs = breadcrumbs;
function breadcrumb(model, md) {
    if (model && model.parent) {
        breadcrumb(model.parent, md);
        if (model.url) {
            md.push(`[${model.name}](${relative_url_1.relativeUrl(model.url)}) /`);
        }
    }
    return md.join(' ');
}
function isVisible() {
    if (plugin_1.MarkdownPlugin.theme instanceof theme_docusaurus_1.DocusaurusTheme || plugin_1.MarkdownPlugin.theme instanceof theme_gitbook_1.GitbookTheme) {
        return false;
    }
    return true;
}
