"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_1 = require("../../plugin");
const theme_docusaurus_1 = require("../theme.docusaurus");
const theme_gitbook_1 = require("../theme.gitbook");
const heading_1 = require("./heading");
const reflection_title_1 = require("./reflection-title");
function mainTitle() {
    if (!isVisible()) {
        return '';
    }
    return `${prefix()} ${reflection_title_1.reflectionTitle.call(this)}`;
}
exports.mainTitle = mainTitle;
function isVisible() {
    if (plugin_1.MarkdownPlugin.theme instanceof theme_docusaurus_1.DocusaurusTheme) {
        return true;
    }
    return true;
}
function prefix() {
    if (plugin_1.MarkdownPlugin.theme instanceof theme_docusaurus_1.DocusaurusTheme) {
        return `> ${heading_1.heading(3)}`;
    }
    if (plugin_1.MarkdownPlugin.theme instanceof theme_gitbook_1.GitbookTheme) {
        return `> ${heading_1.heading(1)}`;
    }
    return heading_1.heading(1);
}
