"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_1 = require("../../plugin");
const theme_docusaurus_1 = require("../theme.docusaurus");
const theme_gitbook_1 = require("../theme.gitbook");
const heading_1 = require("./heading");
const relative_url_1 = require("./relative-url");
function projectTitle() {
    if (!isVisible()) {
        return '';
    }
    return `> ${heading_1.heading(2)} [${this.project.name}](${relative_url_1.relativeUrl(plugin_1.MarkdownPlugin.theme.indexName)})`;
}
exports.projectTitle = projectTitle;
function isVisible() {
    if (plugin_1.MarkdownPlugin.theme instanceof theme_docusaurus_1.DocusaurusTheme || plugin_1.MarkdownPlugin.theme instanceof theme_gitbook_1.GitbookTheme) {
        return false;
    }
    return true;
}
